For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sections

List sections

get
Required scopes
This endpoint requires the following scopes:
  • : Read sections
Authorizations
OAuth2clientCredentialsRequired

OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.

Token URL:
Query parameters
filter[school_id]integerOptional
filter[archived]booleanOptional
sortstringOptional

Comma-separated; prefix with - for descending. Allowed: name, created_at.

page[number]integerOptional
page[size]integer · max: 100Optional
Responses
200

sections listed

application/json
metaobjectOptional
linksobjectOptional
get/api/v2/sections
GET /api/v2/sections HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "type": "text",
      "attributes": {},
      "relationships": {}
    }
  ],
  "meta": {},
  "links": {}
}

Fetch a section

get
Required scopes
This endpoint requires the following scopes:
  • : Read sections
Authorizations
OAuth2clientCredentialsRequired

OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.

Token URL:
Path parameters
idintegerRequired
Responses
200

section found

application/json
dataobjectOptional
get/api/v2/sections/{id}
GET /api/v2/sections/{id} HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": {}
}

Last updated

Was this helpful?